Subject: Linux-Misc Digest #962
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 18 Oct 94 01:13:20 EDT

Linux-Misc Digest #962, Volume #2                Tue, 18 Oct 94 01:13:20 EDT

Contents:
  SURVEY: Graphics card benchmarks under XFree86 (18 Oct 94) (Farrell McKay)
  Re: IP Addresses For Standalone LAN (Daniel Tager)
  Re: I want SETUID scripts! (Anselm Lingnau)
  khg & lpg (Ken Luther)
  Re: [INFO WANTED] Memory required for 100 terminals? (Joachim Jordan)
  please repost fix for disk spindown problem (Gregory Ellis)
  Re: nedit for Linux? (David E. Fox)

----------------------------------------------------------------------------

From: [email-masked] (Farrell McKay)
Crossposted-To: comp.windows.x.i386unix,comp.benchmarks,comp.os.linux.help,aus.computers.linux,comp.sys.ibm.pc.hardware.video
Subject: SURVEY: Graphics card benchmarks under XFree86 (18 Oct 94)
Date: 18 Oct 1994 02:24:36 GMT

Archive-name: xfree86-benchmarks
Version: $Id: post,v 1.33 1994/10/17 23:42:30 fbm Exp fbm $

These are the latest results from a survey of xbench results under XFree86.

The idea of the survey is to compile a comprehensive set of benchmark results,
obtained by running xbench against all the main 386/486/586 graphics cards,
and thereby place the graphics cards in an approximate performance ranking.
Ideally all the results should be gathered using the same host machine,
on the same day of the week, while wearing the same socks and jocks.
Unfortunately no-one has yet come forward with such a database (although
such databases are rumoured to exist).  This survey is the next best thing.

The summary results below distill the essence of the survey into single line
entries.  The entries are grouped by XFree86 release number, and ranked
in decreasing 'xstone' order (last column) within each group.  Ranking by
xstones is a bit arbitrary.  It is instructive to examine all the other
columns too.

The xbench survey has a home on the World Wide Web, at

        http://www.goof.com/xbench/

(the host has been renamed; it used to be thumbtack.bevc.blacksburg.va.us)
If you have acess to a Web browser, check it out!  It is at least
6 x 10^24 times better than this plain old Usenet posting, in lots of ways.

New additions to this database are always welcome - especially entries for
the latest servers or for unlisted graphics cards.  If you use XFree86,
you can contribute to this survey.  Grab a copy of xbench, make sure it
has the GraphicsExposures patch (see below), run it on your machine,
fill in the blank form provided below, and mail it back to me.
Please do not send the raw xbench output - just fill in the blank form!
I will collate and publish the results as they become available.  XBench is
available by ftp from hundreds of archive sites around the world.
Check out archie for your nearest site.

  >>>>>>  IT IS IMPORTANT TO USE THE CORRECT VERSION OF XBENCH.  <<<<<<

The correct version is the one with the "GraphicsExposures" patch.
Check for this by looking at your source code - you should find calls to

    XSetGraphicsExposures(......, False);

in the four files bitmapcpy.c complex1.c screencpy.c and scroll.c

Some sites known to carry the patched version of xbench are:

    ftp.physics.su.oz.au:/xbench/xbench.tar.gz
    ftp.iastate.edu:/pub/netbsd/misc/xbench.tar.gz
    mcsun.eu.net:/os/linux/BETA/X_S3/xbench.tar.gz
    mcsun.eu.net:/os/linux/BETA/X_S3/xbench.tar.Z
    ftp.th-darmstadt.de:/pub/X11/other/xbench.tar.Z 

    xbench.tar.gz file length=88785, /bin/sum=48788, /usr/5bin/sum=31503
    xbench.tar.Z  file length=156750, /bin/sum=21120, /usr/5bin/sum=40999

To run the benchmark,
    1. If possible, switch into one of the more common display resolutions
         before starting, e.g. 800x600, 1024x768, 1280x1024 etc.
    2. Kill off (i.e. exit from) all other programs on your machine,
         including your window manager!  The only running program you
         should need is a single window from which to start xbench.
         XBench is a benchmark program.  If it has to compete for
         memory or CPU, its results will suffer.
    3. Read the XBench README file and edit the script.run file.
    4. xset s off                                   (turn off the screen saver)
    5. xbench < script.run > results/YOURFILE
    6. go have a coffee
    7. awk -f scripts/xstones.awk < results/YOURFILE

Farrell.
--
[email-masked]    (PGP key avail)

========================= Blank Form ===========================================
CPU                     : (386/486 SX/DX etc)
CPU Clock Speed         : (MHz)
M'board Memory          : (MBytes)

Card Vendor + Model     :
Card Bus                : (ISA/EISA/VLB/PCI)
Chipset                 :
Video Memory            : (MBytes)
Memory Type             : (DRAM/VRAM)
Memory Speed            : (ns)
Clock Chip              :
RAMDAC                  :

Operating system        :
XFree86 release         : (e.g. 2.1.1)
XFree86 server          : (e.g. XF86_SVGA)
Physical resoln         :
Virtual resoln          :
Dot-clock               : (MHz)
Bits per pixel          : 

XBench lines            :
XBench fills            :
XBench blits            :
XBench arcs             :
XBench text             :
XBench complex          :
XBench xstones          :

  >>>>>>>>  Did you use the patched version of XBench ??  (Yes/No)  <<<<<<<<

XBench ftp'd from       :
Submitted by            :
Date stamp              :
========================= Summary Results ======================================

-- Hware -- XF86 Res Dot Px Display card      Bus lin fil blt arcs txt cplx xst
CPU-Clk Mem Srvr P&V Clk Sz                  Type -----------  000s -----------

=========================== XFree86 3.1   =====================================
Pnt-90   16 S3    HC  90  8 #9 GXE-64 Pro       P 687 156 148 11099 301 330 250
Pnt-90   16 S3    HH  90  8 #9 GXE-64 Pro       P 660 154 149  7073 298 328 248
4DX2-66  16 S3    NN  75  8 Spider Tarantula 64 V 583 173 160  7720 250 264 242
4DX2-66  16 S3    NN  65  8 #9 GXE-64           P 456 114 106  7304 197 240 175
4DX2-66   8 S3    NC  75  8 #9 GXE-64           V 419 116 114  6372 186 185 173
4DX2-66  16 S3    NN  75 16 Spider Tarantula 64 V 539  97  86  7078 247 205 165
4DX2-66  16 W32   PL  36  8 Herc. Dynamite Powe V 235  58  88  5278 423 114 131
4DX2-66  16 S3    PP  50 32 Spider Tarantula 64 V 490  36  44  6328 216 106  85
4DX-33   16 Mch32 NB  80  8 ATI GUP             I 191  53  46  2201  94  77  77
4DX2-66  16 S3    NN  65 16 #9 GXE-64           P 316  43  36  5961 136  87  76
4DX2-66  16 SVGA  NN  60  8 Orchid Kelvin 64    V 186  41  32  3884 356  64  74
4DX-33    8 Mch8  NN  75  8 ATI 8514 Ultra      I 168  42  38  1273  95  67  66
4DX-33    8 W32   NN  75  8 Herc. Dynamite D201 I  68  19  28  1343 151  49  43
4DX2-66  20 S3    CC  75  8 Orchid Fahrenheit 1 V 183  21  18  3858  72  42  38
4DX2-66  16 SVGA  NN  75  8 Viglen WD90C33      P 139  27  10  2024 156  59  34
Pnt-90   48 SVGA  NN  50  8 IBM (integrated)    I  67  13  18   943 388  37  32

=========================== XFree86 2.1.1 =====================================
4DX2-66  16 S3    NN  74  8 Diamond Stealth Pro V 417  89  77  6465 197 153 142
4DX2-66  16 S3    NN  75  8 #9 GXE Level 12     V 442  80  65  6232 187 156 129
4DX2-66   8 S3    NN  75  8 SPEA/V7 Mercury     V 495  72  55  7018 160 134 113
4DX-33   16 S3    EE 110  8 Actix Ultra+        I 323  68  59  2761 148 138 108
4DX-50   16 S3    NN  80  8 ELSA Winner 1000    I 303  63  54  3865 155 128 103
4DX-50   16 S3    CC 110  8 Metheus 928-4M      V 310  67  50  3208 148 127 102
4DX-50   16 Mch32 NN  75  8 ATI Ultra Pro       V 335  65  56  2845 142  84 101
4DX2-66  16 S3    NN  75  8 Diamond Stealth 24  V 340  54  45  5541 132 106  89
4SX-25   16 S3    PM  36  8 Spea V7 Mirage      I 186  48  41   639 113 101  76
4DX2-66  20 S3    CC 135  8 #9 GXE Level 11     I 283  61  52  3345  56 121  74
4DX-33   16 S3    NN  72  8 Miro Crystal 10SD   V 248  44  36  2256 104  87  71
4DX-33    8 S3    NN  75  8 Actix Grph Eng. 32  I 205  42  38  1504 101  89  70
4DX2-66   8 S3    NN  45  8 Generic S3-805      V 265  45  39  2259  66  95  67
4DX2-66  16 Mch32 cC  80  8 ATI Graphics Ultra+ V 271  36  31  3597  88  59  60
4DX2-66  32 SVGA  KK  80  8 Generic Cirrus 5428 V 143  28  22  1862 281  44  51
4DX2-66   4 SVGA  NN  75  8 VIA C.Logic 5426    V 149  26  22  2097 238  42  49
4DX2-50   8 SVGA  NH  75  8 Genoa 8500VL-28     V 113  23  23  1464 197  36  46
4DX2-66  20 SVGA  DD  80  8 Generic Cirrus 5426 V 133  24  17  1708 254  40  42
3AM-40    8 Mch32 NN  65  8 ATI Graphics Ultra+ I 101  23  20   501  53  35  36
3DX-25    8 SVGA  PL  36  8 Hercules Dynamite   I  33   8   5   230  23  19  12

=========================== XFree86 2.1   =====================================
4DX2-66  32 S3    NN  77  8 STB Pegasus         V 453  80  66  4318 195 156 131
4DX2-66  32 S3    NN  67  8 STB Pegasus         V 461  79  66  4154 191 141 129
4DX2-66  32 S3    CC 125  8 STB Pegasus         V 440  80  62  4240 193 153 127
Pnt-66   32 S3    NN  85  8 ELSA Winner 2000    V 494  75  57  6275 205 145 123
4DX2-66  16 S3    AA 185  8 #9 GXE Level 16     V 430  73  56  6833 182 139 117
4DX2-66  16 S3    FC  85  8 Spea V7 Mercury     V 472  69  55  4287 171 136 113
4DX2-66  24 S3    CC 135  8 Spea V7 Mercury     V 422  65  55  3404 162 132 109
4DX2-66  20 S3    NN  65  8 #9 GXE Level 11     I 374  65  55  4873 168 129 108
4DX2-66   8 S3    NL  75  8 Emca VGA-928-P      P 370  64  55  3193 150 126 106
4DX-33    8 S3    CC 108  8 Spea V7 Mercury     I 329  65  55   255 146 133 104
4DX2-66  16 S3    II  96  8 ELSA Winner 1000    P 312  62  52  2907 148 128 101
4DX2-66  20 Mch32 HH  80  8 ATI Ultra Pro       I 311  61  53  4336 144 133 100
4DX2-66  16 S3    HH 110  8 ELSA Winner 1000    P 298  60  52  2769 146 128 100
4DX-33    8 Mch32 OO  65  8 ATI Ultra XLR       V 296  62  54  2723 129  83  95
4DX-33   16 S3    NN  45  8 Actix Grph Eng. 32  I 234  55  52  2894 129 111  91
4DX2-66  20 Mch32 NN  75  8 ATI Ultra Pro       V 325  55  47  3437 129  75  88
4DX2-66  20 Mch32 HH  80  8 ATI Ultra Pro       V 323  56  48  3682 118  77  88
4SX-33   16 S3    nN  45  8 VGA805-V from Upper V 231  53  47   726 131 107  87
4DX-50   16 Mch32 CC 135  8 ATI Ultra Pro       E 269  54  47  3038 123  74  85
4DX2-66   8 S3    NN  72  8 Actix Grph Eng. 32  V 328  48  40  3821 137  95  82
4DX-33   16 Mch8  NN  65  8 ATI Ultra (Mach8)   I 255  47  42  4071 115  98  79
4DX-33   16 Mch32 NB  80  8 ATI Ultra Pro       I 207  51  43  1600 106  61  76
4DX-33   16 S3    HH  62  8 ELSA Winner 1000    E 269  57  51  1720  50 130  69
Pnt-66   32 S3    CC 102  8 #9 GXE Level 12     P 389  72  61  4504  38 146  69
4DX-50   16 SVGA  nN  45  8 STB Horizon VGA     I 128  28  28  1767 224  55  56
4DX2-50  16 SVGA  PH  45  8 ICL ValuePlus CL542 I 102  27  25  1131 145  38  48
4DX2-66  20 VGA   NN  65  8 Cirrus Logic        V  61  28  20  1545 228  45  44
4DLC-40  16 S3    nN  45  8 Actix Grph Eng. TC  I 210  28  23  1170  34  57  39
4DX-33    8 SVGA  NN  65  8 Genoa Phantom 8900V V 131  28  12  2167 116  42  36
4DX2-66  32 SVGA  NN  75  8 Generic Cirrus 5428 V 110  18  13  1474 229  30  33
4DX2-66   8 SVGA  NN  75  8 Actix ProStar VL    V 107  17  12  1563 205  27  30
4DX2-66  32 SVGA  KK  80  8 Generic Cirrus 5428 V 102  16  12  1317 209  28  30
4DX2-50  16 SVGA  HH  80  8 ICL ValuePlus CL542 I  76  14  12   880 140  20  26
4DX2-66   8 SVGA  PN  36  8 Octek AVGA-20H      I  80  11   5   891  54  17  14
4DX2-66  24 SVGA  NN  65  8 Generic ET4000      I  91   8   3  1040  75  12  11
4SX-25   20 SVGA  NL  45  8 STB PowerGraph      I  67   8   4   416  52  14  11
4DX2-66   8 VGA16 QP  26  8 Hedaka HED-622      I  20   3   3   471   7   7   5
3DX-25    8 SVGA  PP  36  8 Trident TVGA 8900B  I  18   2   1   156  12   2   3
4DX-33   16 SVGA  PP  40  8 Oak OTI-067         I  36   1   1   458  28   2   3

=========================== XFree86 2.0   =====================================
4DX2-66  16 S3    NN  74  8 Diamond Stealth Pro V 451  92  78  3234 198 150 145
4DX2-66  16 S3    HH  85  8 #9 GXE Level 12     V 412  81  65  2872 196 157 130
4DX2-66  16 S3    NN  75  8 #9 GXE Level 12     V 468  80  64  4070 190 153 128
4DX-33   16 S3    NN  74  8 Diamond Stealth Pro V 278  83  75  2015 155 142 123
4DX-33   16 S3    NN  75  8 Diamond Stealth Pro V 348  76  66  2733 166 155 121
4DX-50    8 S3    NN  72  8 #9 GXE Level 11     V 395  71  62  3363 164 141 117
4SX-33   16 S3    CC 110  8 Actix Ultra+        I 293  73  62  3776 158 137 114
4DX-50   16 S3    NN  75  8 ELSA Winner 1000    E 316  64  55  2760 160 128 105
4SLC2-66 16 S3    NN  45  8 STB PowerGraph VL-2 V 282  60  50  1310 153 118  98
4DX-33   16 S3    NN  75  8 Orchid Fahrnht. VA  V 266  48  40  2380 121  95  79
Pnt-60   16 Mch32 NN  75  8 ATI AX0             P 207  45  38  3438 126  68  73
4DX2-66   8 Mch32 GG  80  8 ATI AX0             P 183  39  34  3393 110  65  65
3DX-40    8 S3    NN  75  8 Generic S3-801      I 153  36  31  1153  84  72  57
4DX-50   16 SVGA  QL  25  8 ColorDesigner A3    V 126  23  12  1575 111  44  34
4DX-50   16 SVGA  nN  45  8 STB Horizon VGA     I 131  20  12  1551 130  47  33
3DX-40    8 S3    JJ  95  8 Generic S3-801      I 122  23  20  1096  25  47  31
4DX-50   16 SVGA  nL  45  8 ColorDesigner A3    V 115  18  10  1559 110  38  29
3DX-40    4 SVGA  nG  45  8 Tseng ET4000/W32    V  65  16  11   989  38  30  26
3DX-40    4 SVGA  NG  72  8 Tseng ET4000/W32    V  63  15  10   952  35  25  21
4DX2-50  16 SVGA  PN  50  8 Diamond Speedstar 2 I  76  16   7   927  61  39  21
4DX2-50  20 SVGA  NN  85  8 Cirrus Logic 5428   I  86  13   6  1203  68  33  18
4DX-33    8 SVGA  NN  65  8 Diamond Speedstar+  I  87   9   4  1325  84  14  13
4DX2-50  20 SVGA  hH  65  8 Diamond Speedstar+  I  81   7   3  1206  81   9   9
4DX2-66   8 SVGA  PL  75  8 Octek AVGA-20H      I  79   3   2   917  60   5   6
4SX-25    4 SVGA? QQ  75  8 Sager NP840 noteboo V  53   3   2   327  30   4   5

Key to Physical and Virtual resolutions (lower case=interlaced mode)

A = 1600x1200
B = 1536x1024
C = 1280x1024
D = 1200x910
E = 1200x900
F = 1192x900
G = 1152x910
H = 1152x900
I = 1152x816
J = 1152x800
K = 1056x832
L = 1024x1024
M = 1024x900
N = 1024x768
O = 1024x767
P = 800x600
Q = 640x480

------------------------------

From: [email-masked] (Daniel Tager)
Subject: Re: IP Addresses For Standalone LAN
Date: 17 Oct 1994 20:20:11 GMT

In article <[email-masked]>,  <[email-masked]> wrote:
>
>> Are there IP addresses set aside for standalone LANs?  Where are they 
>> documented?
>
>Yes there are a number of blocks reserved fro 'private' use that should be what 
>you are looking for. It is RFC 1597  "Address Allocation for Private Internets"
>
>Les Dodd
>Wellfleet UK

From the Net-2 HOWTO...

     I want to build my own standalone network, what addresses do I use?

        RFC1597 has specifically reserved some IP addresses for private
        networks.  You should use these as they prevent anything nasty
        happening if you accidentally get connected to the Internet. The
        addresses reserved are:

          10.0.0.0        -   10.255.255.255
          172.16.0.0      -   172.31.255.255
          192.168.0.0     -   192.168.255.255
 
Dan

------------------------------

From: Anselm Lingnau <[email-masked]>
Subject: Re: I want SETUID scripts!
Date: 17 Oct 1994 16:21:44 +0100

In article <[email-masked]>,
H. Peter Anvin <[email-masked]> wrote:

> The setuid bit that applies for scripts is the one on the
> *command interpreter*.  It is then up to the command interpreter to
> decide if it wants to honour the setuid bit on the script (the command
> interpreter has to be setuid root in order to be able to do this.  It
> is doable with perl, but not with bash).

This is wrong. A priori, the set-UID bit for a script is the one on the
script. Dumb kernels honor this bit and start the command interpreter
for the script as the owner of the script, thereby opening a gaping
security hole. Sensible kernels simply ignore the set-UID bit on the
script. (This is what `patching the kernel' is about, in case you've
ever installed Perl from sources). I haven't looked for myself but
people tell me the Linux kernel is sensible. There are other ways of
implementing sensible kernels such that set-UID scripts work as designed
and security is not compromised; to the best of my knowledge this is not
done on Linux.

The way Perl deals with set-UID scripts on sensible kernels (those that
ignore the set-UID bit on the script) is to invoke a special version of Perl,
`suidperl', that will do the set-UID stuff itself on behalf of the script.
This happens outside the reach of the kernel.

Incidentally, a `set-UID root' shell is *not* something I'd allow on a
system.

Anselm
-- 
Anselm Lingnau ......................... [email-masked]
I bet the human brain is a kludge.                            --- Marvin Minsky

------------------------------

From: Ken Luther <[email-masked]>
Subject: khg & lpg
Date: Mon, 17 Oct 94 23:52:23 -0500

Hello,
 
Question: Is the Kernel Hackers Guide the same document as the
Linux Programmers Guide:::
AND:  where can I order it (them)
 
thanks,
Ken

------------------------------

From: [email-masked] (Joachim Jordan)
Subject: Re: [INFO WANTED] Memory required for 100 terminals?
Date: 17 Oct 1994 15:30:50 GMT

>     I'm doing a class project to try to convince various grade and high
> school officials that they would be much smarter to buy a 586 and 100
> dumb terminals and run Linux/Xwindows/Motif than buying 100 macs. Or even
> just running Linux in text mode, since mostly what school computers are
> used for is just word processing anyway, and have a few macs or whatever
> for the other stuff. 
>    So here's my question: How much RAM and how much swap space does a 586
> need (or a 486 even) to run 100 terminals, either in text mode or Xwin
> mode?  And can I even run Xwin on dumb terminals? Also, does anyone know
> of any good cheap vga res terminals w/color? Last time I looked, a few
> years ago, the cheapest was about $800. Also, what would you use for 
> ports for that many terminals?

If you really want to use Linux, how about this:

90 small 386's with 4MB RAM and a cheap VGA display as terminals(
in this configuration you can use them under Linux as X-terms, and
much,much,much cheaper than real X-terms), and 10 pentiums or fast 486's as
Server for 9 386's, especially when you connect them with ethernet, which is
standard for X-terms. How about this topology: a ring with 10 Server, and 9
terms in a second ethernet connected to one server. This makes good
net-performance possible, as this way there are not too much collisions on
one cable :).

This should be a powerful, cheap and professional network.(and surely
cheaper and faster than 100 Macs (what for an net-topology do you think of
for the macs, just curious)

if you want to use dumb terms with seriell connections, i don't think that
one Server does it, think of one course compiling a small pascal program.

Much fun,
joachim
            _  _
    __     | || |
  __\ \    | || |
  \ \\ \   | || |
   \ \\ \  | || |     ___
    \ \\ \_| || |    /  / Joachim Jordan,
    |            \  /  /  Student of Electrical-Engineering
    |   Live long |/  /   and Member of the Fachschaft,
    |      and       /    University of Stuttgart, Germany
     \   prosper   _/
      \           /   [email-masked]

------------------------------

From: [email-masked] (Gregory Ellis)
Subject: please repost fix for disk spindown problem
Date: Fri, 14 Oct 1994 23:50:44 GMT

A while back, someone posted fixes for the problem of Linux receiving an
interrupt and restarting the hard disk immediately after APM spins the 
disk down.  Could someopne repost this fix?!

I'm running kernel level 1.1.45 on a Compaq Concerto.

Thanks.

Greg

===============================================================================
Gregory U. Ellis                [email-masked]
Systems Software Engr.          Amdahl Corporation
===============================================================================
Disclaimer: The opinions expressed above are mine, solely, and do not
necessarily reflect the opinions or policies of Amdahl Corporation.
===============================================================================

------------------------------

From: [email-masked] (David E. Fox)
Subject: Re: nedit for Linux?
Date: Sun, 16 Oct 1994 19:52:22 GMT

Brian Lane ([email-masked]) wrote:

:   in the contrib directory is a Makefile.linux, so it's already been 
: done(pretty trivial).

:   The catch is that it needs Motif, which isn't free. Anyone want to 
: tackle a free Motif compatible X library?

It should be easy enough for someone with Motif to build a static binary
of this (hint hint) :).

-- 
David Fox                       [email-masked]
5479 Castle Manor Drive
San Jose, CA 95129              Thanks for letting me change
408/253-7992                    magnetic patterns on your hard disk.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************